/* Fonts */
body {
  background-color: #FFFFF3;
  font-size: 16px;
  font-family: arial;
}

* {
  font-size: 1em;
}

h1 {
  font-size: 2em;
}

h2 {
  font-size: 1.5em;
}

h1, h2 {
  color: #A61500;
}

.definition {
  width: fit-content;
  font-family: 'Georgia';
  margin: auto;
}

.searchbar {
  margin: auto;
  width: fit-content;
  display: flex;
}

.searchbar button {
  padding: 0;
  margin: 0;
}

.definition h2 {
  text-align: center;
  margin: 0;
}

.definition span {
  text-align: center;
}

pre {
  line-height: 1.2em;
  color: black;
  font-family: 'Georgia';
}

body > div {
  margin: auto;
}

a, a:link, a:visited {
  text-decoration: none;
  color: #A61500;
}

a:hover {
  color: black;
}

button {
  color: white;
  background-color: #A61500;
}

form > * {
  margin-bottom: 0.5em;
}

#search-results {
  text-overflow: ellipsis;
  overflow: hidden;
  white-space: nowrap;
  margin: auto;
  width: fit-content;
  max-width: 90%;
  margin-top: 0.5em;
  margin-bottom: 0.5em;
  height: 1.5em;
}

input {
  border-width: 1px;
  appearance: none;
  display: inline-block;
  width: 25ch;
  padding: 0.4em 1em;
  border-radius: 16px;
  background: white;
}

.search {
  background: url("/static/favicon_256.png");
  background-size: cover;
  height: 2em;
  width: 2em;
  border-radius: 50%;
  margin: 0;
}

.searchbar input {
  margin-right: 10px;
}

input[type=submit], .link-button, .link-button:link, .link-button:visited, button {
  border-width: 1px;
  border-style:solid;
  width: fit-content;
  height: fit-content;
  text-align: center;
  border-radius: 3px;
  cursor: pointer;
}

.title {
  text-align: center;
}

.lexicon {
  margin: auto;
  width: fit-content;
}

.lexicon h2 {
  margin: 0;
}

.footer {
  width: fit-content;
  margin: auto;
  text-align: center;
}

.footer a {
  margin-right: 10px;
}

.footer h2 {
  margin: 0;
}

.content-wrap {
  max-width: 1000px;
}

.home {
  text-align: center;
  width: 100%;
}

.home .block {
  width: 25%;
}

.scholium {
  margin: 0;
  font-size: 0.8em;
}
 
pre {
  display: block;
  white-space: pre;
  margin: 1em 0px;
}

@media (max-width: 550px) {
  pre {
    white-space: pre-wrap;
  }
  .mobile-hide {
    display: none;
  }
}

